For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • POSTFetch multiple EOR Contract forms
      • GETGet worker additional fields for (EOR)
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsForms

Fetch multiple EOR Contract forms

POST
/forms/eor/create-contract/definitions
POST
/rest/v2/forms/eor/create-contract/definitions
$curl -X POST "https://api.letsdeel.com/rest/v2/forms/eor/create-contract/definitions?limit=5&cursor=eyJvZmZzZXQiOjEwfQ" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": {
> "countries": [
> {
> "country_code": "US",
> "state": "CA"
> },
> {
> "country_code": "BR"
> }
> ]
> }
>}'
1{
2 "data": [
3 {
4 "pages": [
5 {
6 "title": "Personal Details",
7 "sections": [
8 {
9 "title": "Team information",
10 "questions": [
11 {
12 "key": "client.legal_entity.id",
13 "type": "Dropdown",
14 "title": "Legal entity ID",
15 "rules": [
16 {
17 "title": "Legal entity ID",
18 "source": {
19 "url": "/rest/v2/legal-entities",
20 "definition": "https://developer.deel.com/reference/getlegalentitylist",
21 "description": "Available legal entities for selection must be dynamically fetched"
22 },
23 "options": [
24 {
25 "title": "Yes",
26 "value": "true"
27 },
28 {
29 "title": "No",
30 "value": "false"
31 }
32 ],
33 "is_range": false,
34 "requires": [
35 {
36 "key": "employee.nationality",
37 "value": true,
38 "operator": "ne",
39 "compare_key": "employment.country"
40 }
41 ],
42 "max_value": 180,
43 "min_value": 0,
44 "max_length": 255,
45 "min_length": 1,
46 "helper_text": "Please select the appropriate legal entity.",
47 "is_disabled": false,
48 "is_required": true,
49 "number_type": "CURRENCY",
50 "default_value": 40,
51 "is_only_digits": false,
52 "date_limitation": "BLOCK_PAST",
53 "is_multiple_selection": false,
54 "must_request_validation": true
55 }
56 ],
57 "source": {
58 "url": "/rest/v2/legal-entities",
59 "definition": "https://developer.deel.com/reference/getlegalentitylist",
60 "description": "Available legal entities for selection must be dynamically fetched"
61 },
62 "options": [
63 {
64 "title": "Yes",
65 "value": "true"
66 },
67 {
68 "title": "No",
69 "value": "false"
70 }
71 ],
72 "is_range": false,
73 "max_value": 180,
74 "min_value": 0,
75 "max_length": 255,
76 "min_length": 1,
77 "helper_text": "Please select the appropriate legal entity.",
78 "is_disabled": false,
79 "is_required": true,
80 "number_type": "CURRENCY",
81 "default_value": 40,
82 "is_only_digits": false,
83 "date_limitation": "BLOCK_PAST",
84 "is_multiple_selection": false,
85 "must_request_validation": true
86 }
87 ],
88 "subtitle": "Information about the team"
89 }
90 ]
91 }
92 ],
93 "country": "US",
94 "state": "CA"
95 }
96 ],
97 "has_more": true,
98 "total_count": 25,
99 "next_cursor": "eyJvZmZzZXQiOjEwfQ=="
100}

Retrieves paginated, versioned form definitions for creating EOR contracts across one or more specified countries. Always use the latest effective version from the response and handle pagination; this endpoint is not intended for reading or updating existing contracts. Token scopes: forms:read

Was this page helpful?
Previous

Get worker additional fields for (EOR)

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Query parameters

limitintegerOptional1-10Defaults to 10
Maximum number of countries to return in a single response. Defaults to 10.
cursorstringOptional
Pagination cursor for fetching subsequent pages of results.

Request

Request body containing countries and optional parameters for bulk quote form fetching.
dataobjectRequired

Response

Successful response containing multiple form configuration data.
datalist of objects
Array of quote forms for the requested countries.
has_moreboolean
Indicates if there are more results available beyond the current page.
total_countinteger
Total number of countries in the request.
next_cursorstring or null
Cursor for fetching the next page of results. Null if no more results.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/